# Retrieve Onramp Transaction Limits

Retrieves the remaining onramp limit for a crypto customer.

## Request

```curl
curl -G https://api.stripe.com/v1/crypto/onramp_transaction_limits \
  -u "<<YOUR_SECRET_KEY>>" \
  -d destination_network=ethereum \
  -d wallet_address=0xB00F0759DbeeF5E543Cc3E3B07A6442F5f3928a2 \
  -d "customer_ip_address=127.0.0.1"
```

### Response

```json
{
  "object": "crypto.onramp_transaction_limits",
  "crypto_customer_id": "crc_1NamBL2eZvKYlo2CP38sZVEW",
  "livemode": true,
  "limits": {
    "usd.fiat": {
      "card": [
        {
          "limit": 3000,
          "settlement_speed": "instant"
        }
      ],
      "us_bank_account": [
        {
          "limit": 5000,
          "settlement_speed": "standard"
        },
        {
          "limit": 1000,
          "settlement_speed": "instant"
        }
      ]
    }
  }
}
```

## Returns

Returns an OnrampTransactionLimits object

## Parameters

- `customer_ip_address` (string, optional)
  The IP address of the customer requesting transaction limits. We support IPv4 and IPv6 addresses.

- `destination_network` (enum, optional)
  The destination blockchain network to use for limit calculations.
Possible enum values:
  - `avalanche`
    Avalanche network.

  - `base`
    Base network.

  - `bitcoin`
    Bitcoin network.

  - `celo`
    Celo network.

  - `ethereum`
    Ethereum network.

  - `optimism`
    Optimism network.

  - `polygon`
    Polygon network.

  - `solana`
    Solana network.

  - `stellar`
    Stellar network.

  - `sui`
    Sui network.

  - `tempo`
    Tempo network.

  - `worldchain`
    Worldchain network.

- `destination_tag` (string, optional)
  The destination tag for the wallet address, if applicable for the network.

- `wallet_address` (string, optional)
  The wallet address to use for destination-specific limit calculations.
